/* 
Name: Tax.java
About: Program to compute the tax deduction for the party

*** Role in lecture: Teaching (calling functions from each other)

Author: Sam Vinitsky
Date: June 24th
*/

public class Tax_9 {

    public static void reportNumPeople(int numPeople){
        numPeople += 5; // I wanna seem cool...
        System.out.println("There were " + numPeople + " people at my party!");
    }

    public static void reportTotalRevenue(int numPeople, double profit, 
                                          double damages){
        double loss = (profit - damages) * 1.1; // lie to make more money....
        System.out.print("I lost $" + loss + " holding this party for ");
        System.out.print(numPeople);
        System.out.println(" people!");
    }

    public static void reportLosses(int numPeople, double profit, 
                                    double damages){
        reportNumPeople(numPeople);
        reportTotalRevenue(numPeople, profit, damages);
    }

    public static void main(String[] args){

        reportLosses(10, 20.0, 5.0);
    }
}